<!DOCTYPE html>
<html lang="cs">

<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="description" content="ApolloNvim modální editor" />
	<meta name="keywords" content="Projekt modálního editoru" />
	<meta name="author" content="Lukáš Kaňka" />
	<link rel="stylesheet" href="assets/style.css" />
	<!--nav bar-->
	<script src="https://kit.fontawesome.com/0a43c6cd1f.js" crossorigin="anonymous"></script>
	<!--icons dark, go to up-->
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" />
	<!--ubuntu fonts-->
	<style>
		@import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
	</style>
	<!--         líbivé   ikony -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/fork-awesome@1.2.0/css/fork-awesome.min.css"
		integrity="sha256-XoaMnoYC5TH6/+ihMEnospgm0J1PM/nioxbOUdnM8HY=" crossorigin="anonymous" />
	<title>🚀 ApolloNvim</title>
</head>

<body>
	<?php require "assets/header.php" ?>
	<section class="content" id="welcome">
		<section class="welcome">
			<h2>Programování je mnohem zábavnější, když jste efektivní. Neovim vás tam může časem dostat, ale musíte být
				ochotni zkoušet nové věci. Nové pluginy, nové remapy atd.</h2>
			<p>🚀 ApolloNvim je Český komunitní projekt pro nováčky Neovim, ale i ostřílené borce v Neovimu. Tato
				distribuce má ukázat jak používat, instalovat, konfigurovat pluginy. Tento setup je tvořen na vývoj
				Front-end v HTML, CSS, JS, TS a PHP. Distrimuci je možné jakoliv rozšířit či pozměnit vaším potřebám, s
				čímkoliv budete mít potíže neváhejte se na nás obrátit a pokusíme se problém vyřešit.</p>
			<h3>Úvod:</h3>
			<p><strong>Vždy se podívej před instalací nových pluginu, na dokumentaci k plaginům na Githubu. Předejdeš
					tím případným problémům! Pokud si nejsi jistý postupem nebo ti není něco jasné, tak raději se
					podívej do dokumentace, napiš nám nebo na fórech najdeš odpověď. Táke si vše vždy před změnou vše
					zálohuj!</strong></p>
			<p>👉 Neovim setup pro Front-End vývoj postavený na <a class="green"
					href="https://github.com/junegunn/vim-plug" target="_blank">Plug.vim</a>, <a class="green"
					href="https://github.com/neoclide/coc.nvim" target="_blank">Coc</a> a <a class="green"
					href="https://neovim.io/doc/user/lua-guide.html" target="_blank">Lua</a>.</p>
			<p>👉 Výhody Neovim oproti klasickému IDE jsou nesporně ve svobodě konfigurace, je tisíce možností, jak Váš
				Neovim může vypadat a fungovat. Pro Vaši inspiraci a použití vznikl tento projekt 🚀 ApolloNvim.</p>
			<p>👉 Tato distribuce nefunguje jen, že kliknete na tlačítko a nainstaluje se. Vede Vás k samostatné
				instalaci pomocí tohoto webu. Cílem je pochopit, jak Neovim funguje, abyste si sami mohli vše
				modifikovat, což i click-on distribucí se nenaučíte.</p>
			<p>👉 Toto nastavení jsem vytvořil pro vývoj webu. Inspiroval jsem se pluginy, které jsem využíval v VSCode
				a Webstorm.</p>
			<p>👉 Velký důraz je kladen na rychlost a lehkost.</p>
			<p>👉 🚀 ApolloNvim Distro je pravidelně aktualizováno tak i celý projekt.</p>
			<p>👉 Pro nejlepší zážitek s 🚀 ApolloNvim Distro doporučuji používat multiplexor <a class="green"
					href="https://git.arch-linux.cz/kankys/zellij-mySetup" target="_blank">Zellij</a>, ale není to
				samozřejmě podmínkou.</p>
			<h3>Přednosti:</h3>
			<p>👉 Hlavní předností tohoto nastavení jsou podpora: Codeium alternativa k Copilot zdarma, Prettier,
				AutoSave, diplňování HTML, CSS, JS a zkratky k zakomentování a odkomentování kódu. Taky je zde několik
				pluginu pro příjemnější práci v Neovim.</p>
			<p>👉 S <a class="green" href="https://github.com/neovim/nvim-lspconfig" target="_blank">LSP</a> v této
				instalaci využívám <a class="green" href="https://github.com/neoclide/coc.nvim" target="_blank">Coc</a>
				pro jeho jednoduchost, stabilitu a rychlost.</p>
			<p>👉 Ty nejlepší témata pro Neovim (ať je nemusíte hledat), je defaultně nastavéné Dracula.</p>
			<p>👉 Téma v Neovim si jednoduše změníte v command line příkazem <strong><code>colorscheme</code></strong> a
				tlačítkem Tab se budete přepínat mezi jednotlivými tématy.</p>
		</section>
	</section>

	<?php require "assets/returnbutton.php" ?>
	<?php require "assets/footer.php" ?>
	<script src="assets/script.js"></script>
</body>

</html>