<!DOCTYPE html>
<html lang="cs">
<head>
    <meta charset="UTF-8"/>
    <meta
            content="EndeavourOS svobodný operační systém...."
            name="description"
    />
    <meta content="EndeavourOS, Průvodce AUR a Instalace Správců Balíčků (yay a paru)" name="keywords"/>
    <meta content="Archos" name="author"/>

    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <link href="assets/style.css" rel="stylesheet"/>
    <link href="/img/icons.png" rel="shortcut icon"/>
    <script
            crossorigin="anonymous"
            src="https://kit.fontawesome.com/0a43c6cd1f.js"
    ></script>
    <!--icons dark, go to up-->
    <link
            href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css"
            rel="stylesheet"
    />

    <!--ubuntu fonts-->
    <style>
        @import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
    </style>

    <title>EndeavourOS - Průvodce AUR a Instalace Správců Balíčků (yay a paru)</title>
</head>
<body>
<?php require "assets/header.php" ?>
<main>
    <section class="welcome">
        <h1>Průvodce AUR a Instalace Správců Balíčků (yay a paru)</h1>
        <hr>
        <h2>Co je AUR?</h2>
        <hr>
        <p>AUR (Arch User Repository) je komunitní repozitář pro Arch Linux. Nabízí tisíce balíčků, které nejsou dostupné v oficiálním repozitáři Archu. Tyto balíčky vytvářejí uživatelé komunity, což umožňuje sdílet software, který ještě není oficiálně podporován. AUR obsahuje PKGBUILD skripty, které automatizují sestavení a instalaci balíčků ze zdrojových kódů.</p>
        <h3>Výhody AUR</h3>
        
            <p><strong>Široký výběr softwaru</strong> – Obsahuje software, který nemusí být oficiálně dostupný.</p>
            <p><strong>Komunitní podpora</strong> – Uživatelé mohou přidávat, upravovat a diskutovat o balíčcích.</p>
            <p><strong>Automatizovaná kompilace</strong> – Pomocí PKGBUILD je možné jednoduše sestavit a nainstalovat balíčky</p>
        
        <h2>Instalace yay a paru</h2>
        <hr>
        <p>Pro snadné používání AUR je nejlepší mít nainstalovaný správce balíčků, jako je <strong>yay</strong>nebo <strong>paru</strong>. Oba umožňují vyhledávání, instalaci a aktualizaci balíčků přímo z AUR</p>
        <h4>Instalace yay</h4>
        <p>1. Nejprve aktualizujte systém:</p>
        <div class="code-box">
          <pre id="code-content">
          sudo pacman -Syu
            </pre
            >
        </div>
        <p>2. Nainstalujte potřebné balíčky:</p>
        <div class="code-box">
            <pre id="code-content">
            sudo pacman -S --needed git base-devel
        </pre>   
        </div>
        <p>3. Naklonujte repozitář yay:</p>
        <div class="code-box">
            <pre id="code-content">
            git clone https://aur.archlinux.org/yay.git
        </pre>   
        </div>
        <p>4. Přepněte se do složky yay a nainstalujte:</p>
        <div class="code-box">
            <pre id="code-content">
            cd yay
            makepkg -si
        </pre>   
        </div>
        <p>5. Yay je nyní nainstalován! Můžete ho použít k instalaci balíčků z AUR.</p>
        <h4>Instalace paru</h4>
        <p>1. Pokud již máte systém aktualizovaný, naklonujte repozitář paru:</p>
        <div class="code-box">
            <pre id="code-content">
            git clone https://aur.archlinux.org/paru.git
        </pre>   
        </div>
        <p>2. Přepněte se do složky paru a nainstalujte:</p>
        <div class="code-box">
            <pre id="code-content">
            cd paru
            makepkg -si        
        </pre>   
        </div>
        <p>Paru je nyní připraven k použití pro instalaci balíčků z AUR.</p>
        <h2>Základní příkazy pro yay a paru:</h2>
        <hr>
        <p>Jakmile máte <strong>yay</strong> nebo <strong>paru</strong> nainstalované, můžete začít spravovat balíčky z AUR. Níže jsou základní příkazy:</p>
        <h4>Instalace balíčků:</h4>
        <div class="code-box">
            <pre id="code-content">
            yay -S <název_balíčku>
            paru -S <název_balíčku>       
        </pre>   
        </div>
        <p>Tyto příkazy stáhnou, zkompilují a nainstalují balíček.</p>
        <h4>Aktualizace všech balíčků včetně AUR</h4>
        <div class="code-box">
            <pre id="code-content">
            yay -Syu
            paru -Syu      
        </pre>   
        </div>
        <p>Aktualizuje všechny balíčky včetně těch z AUR.</p>
        <h4>Odinstalace balíčku:</h4>
        <div class="code-box">
            <pre id="code-content">
            yay -R <název_balíčku>
            paru -R <název_balíčku>     
        </pre>   
        </div>
        <p>Odstraní balíček z vašeho systému.</p>
        <h4>Vyhledávání balíčku:</h4>
        <div class="code-box">
            <pre id="code-content">
            yay -Ss <název_balíčku>
            paru -Ss <název_balíčku></n>     
        </pre>   
        </div>
        <p>Umožňuje prohledávat AUR i oficiální repozitáře.</p>
        <h4>Vyčištění cache</h4>
        <p>Po aktualizacích můžete chtít vyčistit staré balíčky z cache.</p>
        <div class="code-box">
            <pre id="code-content">
            yay -Sc
            paru -Sc    
        </pre>   
        </div>
        <p>Tímto odstraníte staré balíčky, což může uvolnit místo na disku.</p>
        <hr>
        <p>Článek připravil a napsal <a href="https://mastodon.arch-linux.cz/@archos" target="_blank">Archos</a> velmi děkujeme. 5.11.2024</p>
    </section>
</main>
<?php require "assets/returnbutton.php" ?>
<?php require "assets/footer.php"?> 
<script src="assets/script.js"></script>
</body>
</html>
