<!DOCTYPE html>
<html lang="cs">
<head>
    <meta charset="UTF-8"/>
    <meta
            content="EndeavourOS svobodný operační systém...."
            name="description"
    />
    <meta content="EndeavourOS, Výchozí aplikace" name="keywords"/>
    <meta content="Kankys" name="author"/>

    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <link href="assets/style.css" rel="stylesheet"/>
    <link href="/img/icons.png" rel="shortcut icon"/>
    <script
            crossorigin="anonymous"
            src="https://kit.fontawesome.com/0a43c6cd1f.js"
    ></script>
    <!--icons dark, go to up-->
    <link
            href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css"
            rel="stylesheet"
    />

    <!--ubuntu fonts-->
    <style>
        @import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
    </style>

    <title>EndeavourOS - Výchozí aplikace</title>
</head>
<body>
<?php require "assets/header.php"; ?>
<main>
    <section class="welcome">
        <h1>Výchozí aplikace / MIME</h1>
        <img alt="" src="img/xfce4-mime-editor.webp" style="width: 50%;height: auto;"/>
        <p>
            Tento článek pojednává o tom, jak jsou nastaveny výchozí aplikace a
            jak je změnit.
        </p>
        <hr/>
        <h3>Obsah:</h3>
        <p>
            <a href="#1">Přepsání výchozí aplikace</a>
        </p>
        <p><a href="#2">Formát typu MINE</a></p>

        <hr/>
        <h2>Úvod:</h2>
        <p>
            <code
            ><strong>/usr/local/share/applications/mimeapps.list</strong></code
            >
            a
            <code><strong>/usr/share/applications/mimeapps.list</strong></code>
            soubory určují, která aplikace je ve výchozím nastavení registrována
            pro otevírání konkrétních typů MIME. Tyto soubory poskytuje
            distribuce. Chcete-li přepsat výchozí nastavení systému pro jednotlivé
            uživatele, musíte vytvořit
            <code><strong>~/.config/mimeapps.list</strong></code> soubor se
            seznamem typů MIME, pro které chcete přepsat výchozí registrovanou
            aplikaci.
        </p>
        <h2 id="1">Přepsání výchozí aplikace</h2>
        <p>
            1. V souboru
            <code><strong>/usr/share/applications/mimeapps.list</strong></code> k
            určení typů MIME, pro které chcete změnit výchozí registrovanou
            aplikaci. Například následující ukázka souboru mimeapps.list určuje
            výchozí registrovanou aplikaci pro typy MIME text/html a
            application/xhtml+xml:
        </p>
        <div class="code-box">
          <pre id="code-content">
            [Default Applications]
            text/html=firefox.desktop
            application/xhtml+xml=firefox.desktop
          </pre>
        </div>
        <p>
            * Výchozí aplikace (Firefox) je definována zadáním odpovídajícího
            souboru .desktop (firefox.desktop). Výchozí umístění souborů .desktop
            ostatních aplikací je
            <code><strong>/usr/share/applications/</strong></code
            >. Soubory .desktop jednotlivých uživatelů lze najít
            <code><strong>~/.local/share/applications/</strong></code
            >.
        </p>

        <p>
            2. Vytvořte
            <code><strong>~/.config/mimeapps.list</strong></code> soubor. V
            souboru zadejte typy MIME a jejich odpovídající výchozí registrované
            aplikace:
        </p>

        <div class="code-box">
          <pre id="code-content">
            [Default Applications]
            text/html=myapplication1.desktop
            application/xhtml+xml=myapplication2.desktop

            [Added Associations]
            text/html=myapplication1.desktop;
            application/xhtml+xml=myapplication2.desktop;
            </pre
            >
        </div>
        <p>
            * Tím nastavíte výchozí registrovanou aplikaci pro typ MIME text/html
            na myapplication1.desktop a výchozí registrovanou aplikaci pro typ
            MIME application/xhtml+xml na myapplication2.desktop.
        </p>
        <p>
            * Aby tato nastavení fungovala správně, ujistěte se, že soubory
            myapplication1.desktop a myapplication2.desktop jsou umístěny v
            adresáři
            <code><strong>/usr/share/applications/</strong></code
            >. Soubory .desktop jednotlivých uživatelů lze ukládat do
            <code><strong>~/.local/share/applications/</strong></code
            >.
        </p>
        <p>
            3. Můžete použít příkaz <code><strong>gio mine</strong></code> k
            ověření, že výchozí registrovaná aplikace byla správně nastavena.
        </p>
        <div class="code-box">
          <pre id="code-content">

            $ gio mime text/html
            Default application for “text/html”: myapplication1.desktop
            Registered applications:
	          myapplication1.desktop
	          firefox.desktop
            Recommended applications:
	          myapplication1.desktop
	          firefox.desktop
            </pre>
        </div>
        <hr/>
        <h2 id="2">Formát typů MINE</h2>
        <p>Prohlédněte následující příklad:</p>
        <p>
            <code><strong>mimeapps.list</strong></code>
        </p>
        <div class="code-box">
          <pre id="code-content">
              [Added Associations]
               image/jpeg=bar.desktop;baz.desktop
               video/H264=bar.desktop

               [Removed Associations]
                video/H264=baz.desktop

               [Default Applications]
                image/jpeg=ristretto.desktop
                inode/directory=thunar.desktop
              </pre
              >
        </div>
        <p>Každá sekce přiřazuje jednu nebo více položek k typům MIME;</p>
        <p>
            * <strong>Přidaná asociace</strong> (Added Associations) označuje, že
            aplikace podporují otevírání tohoto typu MIME. Například,
            <code><strong>bar.desktop</strong></code> a
            <code><strong>baz.desktop</strong></code> můžete otevřít obrázky JPEG.
            To může ovlivnit seznam aplikací, který se zobrazí po kliknutí pravým
            tlačítkem na soubor v prohlížeči souborů.
        </p>
        <p>
            * <strong>Odstraněna přidružení</strong> (Removed Associations)
            označuje, že aplikace nepodporují tento typ MIME. Například,
            <code><strong>baz.desktop</strong></code> nelze otevřít video H.264.
        </p>
        <p>
            * <strong>Výchozí aplikace</strong> označuje, že aplikace by měly být
            výchozí volbou pro otevření daného typu MIME. Například obrázky JPEG
            by měly být otevřeny pomocí
            <code><strong>ristretto.desktop</strong></code> To implicitně přidá
            přidružení mezi aplikaci a typ MIME. Pokud existuje více aplikací,
            jsou zkoušeny v pořadí.
        </p>
        <div class="code-box">
          <pre id="code-content">


            TIP: Ačkoli jsou zastaralé, některé aplikace stále čtou/zapisují do
            ~/.local/share/applications/mimeapps.list.  Pro zjednodušení údržby jej jednoduše symbolicky propojte s
            ~/.config/mimeapps.list:


            $ ln -s ~/.config/mimeapps.list ~/.local/share/applications/mimeapps.list
          </pre>
        </div>
        <h3>Zdroje a další čtení k MINE:</h3>
        <p><a href="https://wiki.archlinux.org/title/Default_applications"
              target="_blank">https://wiki.archlinux.org/title/Default_applications</a></p>
        <p>
        <p><a href="https://wiki.archlinux.org/title/XDG_MIME_Applications" target="_blank">https://wiki.archlinux.org/title/XDG_MIME_Applications</a></a>
        </p>
        <p><a href="https://help.gnome.org/admin/system-admin-guide/stable/mime-types-application-user.html.en"
              target="_blank">https://help.gnome.org/admin/system-admin-guide/stable/mime-types-application-user.html.en</a>
        </p>
        <p>Původní článek je převzat z <a
                href="https://discovery.endeavouros.com/applications/default-applications/2022/01/" target="_blank">Wiki
            EndeavourOS</a> který vyšel 10.ledna 2022</p>
        <p>
            <code
            ><a href="https://lukaskanka.cz/" target="_blank">Kankys</a>
                18.4.2024</code
            >
        </p>
    </section>
</main>
<?php require "assets/returnbutton.php"; ?>
<?php require "assets/footer.php"; ?>

<script src="assets/script.js"></script>
</body>
</html>
